# OutRun : a simple race game for Casio Graph 90+E

OutRun is a very simple race game based on the classical Outrun-type license, very famous in the 90's.
The purpose of the game is to drive as fast as possible on various highways, in the middle of the traffic.


## Installing and compiling the game

Provided you would like to compile the game Addin, starting from the code, some prerequities are mandatory :
 - `fxlibc` in its `@dev` version is mandatory (to get correct implementation of <errno.h>)
 - `µSTL` is also mandatory
 - `libprof` is also needed to get accurate timing

**Installing with GiteaPC**

`fxlibc` can be installed using GiteaPC by using

```Bash
% giteapc install Vhex-Kernel-Core/fxlibc@dev
```

`µSTL` can then be installed by typing in a terminal

```Bash
% giteapc install Slyvtt/uSTL_2.3
```

`libprof` can be built and installed with

```bash
% giteapc install Lephenixnoir/libprof
```


**Compiling**

Simply run `fxsdk build-cg`. The fxSDK will invoke CMake with a suitable toolchain file while exposing CMake modules for the calculator.

```bash
% fxsdk build-cg
```

Please note that currently there is no compile target for `fx-9860G`


